package com.sundot.airport.web.controller.ledger;

import java.util.List;
import javax.servlet.http.HttpServletResponse;

import com.sundot.airport.common.annotation.Log;
import com.sundot.airport.common.core.controller.BaseController;
import com.sundot.airport.common.core.domain.AjaxResult;
import com.sundot.airport.common.core.page.TableDataInfo;
import com.sundot.airport.common.enums.BusinessType;
import com.sundot.airport.common.utils.poi.ExcelUtil;
import com.sundot.airport.ledger.domain.LedgerTrainingIssue;
import com.sundot.airport.ledger.service.ILedgerTrainingIssueService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/ledger/trainingIssue")
public class LedgerTrainingIssueController extends BaseController {

    @Autowired
    private ILedgerTrainingIssueService service;

    @PreAuthorize("@ss.hasPermi('ledger:trainingIssue:list')")
    @GetMapping("/list")
    public TableDataInfo list(LedgerTrainingIssue query) {
        startPage();
        List<LedgerTrainingIssue> list = service.selectList(query);
        return getDataTable(list);
    }

    @PreAuthorize("@ss.hasPermi('ledger:trainingIssue:export')")
    @Log(title = "培训台账问题通报", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, LedgerTrainingIssue query) {
        List<LedgerTrainingIssue> list = service.selectList(query);
        ExcelUtil<LedgerTrainingIssue> util = new ExcelUtil<>(LedgerTrainingIssue.class);
        util.exportExcel(response, list, "培训台账问题通报");
    }

    @PreAuthorize("@ss.hasPermi('ledger:trainingIssue:query')")
    @GetMapping("/{id}")
    public AjaxResult getInfo(@PathVariable Long id) {
        return AjaxResult.success(service.getById(id));
    }
}
